Bug 499979 - Review Request: mingw32-libssh2 - MinGW Windows library implementation of the SSH2 protocol
Review Request: mingw32-libssh2 - MinGW Windows library implementation of the...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Sailer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 499987
  Show dependency treegraph
 
Reported: 2009-05-09 14:50 EDT by Erik van Pienbroek
Modified: 2009-05-25 17:25 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.1-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-25 17:16:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
t.sailer: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Erik van Pienbroek 2009-05-09 14:50:34 EDT
Spec URL: http://www.ftd4linux.nl/contrib/mingw32-libssh2.spec
SRPM URL: http://www.ftd4linux.nl/contrib/mingw32-libssh2-1.1-1.fc11.src.rpm
Description:
libssh2 is a library implementing the SSH2 protocol as defined by
Internet Drafts: SECSH-TRANS(22), SECSH-USERAUTH(25),
SECSH-CONNECTION(23), SECSH-ARCH(20), SECSH-FILEXFER(06)*,
SECSH-DHGEX(04), and SECSH-NUMBERS(10).

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1345171

Approved MinGW packaging guidelines are here:
http://fedoraproject.org/wiki/Packaging/MinGW
Comment 1 Thomas Sailer 2009-05-22 06:48:49 EDT
Fedora review mingw32-libssh2-1.1-1.fc11.src.rpm 2009-05-22

Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1370201

rpmlint output:
$ rpmlint mingw32-libssh2*
mingw32-libssh2-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libssh2.a
mingw32-libssh2-static.noarch: W: no-documentation
4 packages and 1 specfiles checked; 1 errors, 1 warnings.

As per Packaging/MinGW, these errors can be ignored.

+ OK
! needs attention


+ rpmlint output
+ Package is named according to Fedora MinGW packaging guidelines
+ Specfile name matches the package base name
+ Package follows the Fedora MinGW packaging guidelines
  version seems to be slightly ahead of native (1.1 vs. 1.0) please try to
  stick to the native version
+ License meets guidelines and is acceptable to Fedora
  BSD
+ License matches the actual package license
  It is also the same as in the corresponding Fedora libssh2 package
+ The package contains the license file (COPYING)
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match sources in the srpm
f8a3eb9bb814e0a5a2bb76a5423f5129  libssh2-1.1.tar.gz
f8a3eb9bb814e0a5a2bb76a5423f5129  x/libssh2-1.1.tar.gz

n/a Package builds in mock
n/a ExcludeArch bugs filed
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and
%postun
+ Does not use Prefix: /usr
+ Package owns all directories it creates
+ No duplicate files in %files
+ %files has %defattr
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ Consistent use of macros
+ Package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect package
n/a Header files should be in -devel
    Fedora MinGW guidelines allow headers in main package
+ Static libraries should be in -static
+ Packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a -devel must require the fully versioned base
n/a Packages should not contain libtool .la files
    Fedora MinGW guidelines allow .la files
n/a Packages containing GUI apps must include %{name}.desktop file
+ Packages must not own files or directories owned by other packages
+ %install begins with rm -rf $RPM_BUILD_ROOT
+ Filenames must be valid UTF-8
! use %global instead of %define
Comment 2 Erik van Pienbroek 2009-05-22 09:01:57 EDT
(In reply to comment #1)
> + Package follows the Fedora MinGW packaging guidelines
>   version seems to be slightly ahead of native (1.1 vs. 1.0) please try to
>   stick to the native version

Yeah I know, but there was a message on the fedora-mingw mailing list recently that we were advised to upgrade to version 1.1 as it contains several win32 optimalisations: http://lists.fedoraproject.org/pipermail/fedora-mingw/2009-May/001355.html

> ! use %global instead of %define  

A lot of MinGW packages we have use these %define's. I think we should check every MinGW package which is in Fedora now and fix the packages if necessary.

For this package I've replaced the %define's with %global's:

Spec URL: http://www.ftd4linux.nl/contrib/mingw32-libssh2.spec
SRPM URL: http://www.ftd4linux.nl/contrib/mingw32-libssh2-1.1-2.fc11.src.rpm
Comment 3 Thomas Sailer 2009-05-22 09:13:55 EDT
APPROVED by sailer
Comment 4 Erik van Pienbroek 2009-05-22 11:12:29 EDT
New Package CVS Request
=======================
Package Name: mingw32-libssh2
Short Description: MinGW Windows library implementation of the SSH2 protocol
Owners: epienbro rjones
Branches: F-10 F-11
InitialCC:
Comment 5 Kevin Fenzi 2009-05-23 01:36:50 EDT
cvs done.
Comment 6 Fedora Update System 2009-05-24 08:54:59 EDT
mingw32-libssh2-1.1-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mingw32-libssh2-1.1-2.fc11
Comment 7 Fedora Update System 2009-05-24 09:00:43 EDT
mingw32-libssh2-1.1-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mingw32-libssh2-1.1-2.fc10
Comment 8 Fedora Update System 2009-05-25 17:16:18 EDT
mingw32-libssh2-1.1-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-05-25 17:25:05 EDT
mingw32-libssh2-1.1-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.